Skip to main content
GET
List notifications

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the account

Query Parameters

includes
enum<string>

Widen the feed. Repeat the parameter as includes[]=read&includes[]=snoozed.

Available options:
read,
snoozed
since
string

Only notifications with last_activity_at at or after this Unix epoch time.

until
string

Only notifications with last_activity_at at or before this Unix epoch time.

sort_order
enum<string>

Order by last_activity_at. Defaults to desc.

Available options:
asc,
desc
page
integer
default:1

The page parameter

Response

Success

The notification feed is nested one level deeper than the rest of the API — the payload and meta live under data.

data
object

The feed is nested under data, one level deeper than the rest of the API.